<input type="hidden" name="_id" value="{{ record._id }}" />
<div class="row">
    <div class="col-12 col-md-6">
        <div class="row">
            <div class="col-12">
                <div class="form-group">
                    <label>{{ "client"|normalize|title }}*</label>
                    {% if editable|default(True) %}
                    <select name="client" class="form-control" data-ajax-select-target="/api/v1/clients/all?fields=name,business_type" data-ajax-select-value="_id" data-ajax-select-label="name,business_type" required placeholder="-- Select Client --"  data-ajax-select-selected="{{ record.client.id }}" data-default-value="{{ record.client.id }}">
                        <option value="">-- Select Client --</option>
                    </select>
                    {% else %}
                    <input type="text" class="form-control" value="{{ record.client.id }}" readonly />
                    {% endif %}
                </div>
            </div>
        </div>
    </div>
    <div class="col-12 col-md-6">
        <div class="row">
            <div class="col-12">
                <div class="form-group">
                    <label>{{ "outgoing_delivery_no"|normalize|title }}*</label>
                    {% if editable|default(True) %}
                    <input type="text" name="outgoing_delivery_no" class="form-control" oninput="this.value = this.value.toUpperCase()" maxlength="32" required value="{{ record.outgoing_delivery_no }}" data-default-value="{{ record.outgoing_delivery_no }}" />
                    {% else %}
                    <input type="text" class="form-control" value="{{ record.outgoing_delivery_no }}" readonly />
                    {% endif %}
                </div>
            </div>
        </div>
    </div>
</div>
<div class="row">
    <div class="col-12" data-products-container>
        <h5>Finished Goods</h5>
        {% if editable|default(True) %}
            <div class="row">
                <div class="col-12 col-md-3">
                    <a class="btn btn-warning btn-sm btn-block" href="javascript:;" data-product-toggle="add"> <i class="fa fa-plus"></i> Add Product</a>
                </div>
            </div>
            {% for item in record.products %}
            <div class="row" data-form-dynamic>
                <div class="col-6 col-md-4">
                    <div class="form-group">
                        <label>Product Code*</label>
                        <select name="products-product_code" class="form-control" data-ajax-select-target="/api/v1/finished_goods/all?fields=product_code,description" data-ajax-select-value="_id" data-ajax-select-label="product_code,description" placeholder="-- Select Product Code --" data-ajax-select-selected="{{ item.product_code }}" required data-default-value="{{ item.product_code }}">
                            <option value="">-- Select Product Code --</option>
                        </select>
                    </div>
                </div>
                <div class="col-6 col-md-3">
                    <div class="form-group">
                        <label>Quantity*</label>
                        <input type="number" name="products-quantity" class="form-control" min="0" step="0.0001" required value="{{ item.quantity }}" data-default-value="{{ item.quantity }}" />
                    </div>
                </div>
                <div class="col-6 col-md-3">
                    <div class="form-group">
                        <label>Price per Unit</label>
                        <input type="number" name="products-price_per_unit" class="form-control" min="0.01" step="0.01" value="{{ item.price_per_unit }}" data-default-value="{{ item.price_per_unit }}" />
                    </div>
                </div>
                <div class="col-6 col-md-2">
                    <a href="javascript:;" class="mt-3 btn btn-danger btn-sm btn-block" data-product-toggle="delete"><i class="fa fa-fw fa-trash"></i> Delete</a>
                </div>
            </div>
            {% endfor %}
        {% else %}

        {% endif %}
    </div>
</div>
<script>
    $dom.document.ready(function() {
        {% if editable %}
        $('[data-crud="details"] .card-footer').showCustom();
        {% else %}
        $('[data-crud="details"] .card-footer').hideCustom();
        {% endif %}
    });
</script>
